BlackCallableFixedRateBondEngine Class Reference

Black-formula callable fixed rate bond engine. More...

`#include <ql/experimental/callablebonds/blackcallablebondengine.hpp>`

Inheritance diagram for BlackCallableFixedRateBondEngine:
[legend]

## Public Member Functions

| BlackCallableFixedRateBondEngine (const Handle< Quote > &fwdYieldVol, const Handle< YieldTermStructure > &discountCurve)
| volatility is the quoted fwd yield volatility, not price vol
| BlackCallableFixedRateBondEngine (const Handle< CallableBondVolatilityStructure > &yieldVolStructure, const Handle< YieldTermStructure > &discountCurve)
| volatility is the quoted fwd yield volatility, not price vol
void | calculate () const
Public Member Functions inherited from GenericEngine< CallableBond::arguments, CallableBond::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Additional Inherited Members

Protected Attributes inherited from GenericEngine< CallableBond::arguments, CallableBond::results >
CallableBond::arguments | arguments_
CallableBond::results | results_

## Detailed Description

Black-formula callable fixed rate bond engine.

Callable fixed rate bond Black engine. The embedded (European) option follows the Black "European bond option" treatment in Hull, Fourth Edition, Chapter 20.

Warning:
  This class has yet to be tested